Skip to Content
SeyloDocs
API referenceSign-in and account

Save a new passkey

POST
/api/v1/auth.passkeyRegisterFinish

Verifies the authenticator's registration response and stores the passkey under the given name.

Any signed-in caller. Not available to MCP clients or the assistant.

Authorization

cookieseylo_session<token>

Request Body

application/json
  1. body
ticket*string
Length1 <= length <= 200
name*string
Length1 <= length <= 60
response*

WebAuthn options or response JSON.

Response Body

Success.

application/json
  1. response
id*string

Panel-issued id.

Match^[a-z0-9]{16}$
name*string
createdAt*string
Formatdate-time
Example Request
curl -X POST 'https://example.com/api/v1/auth.passkeyRegisterFinish' \  -H 'Content-Type: application/json' \  -d '{  "ticket": "string",  "name": "string",  "response": {}}'
Example Response
{  "id": "string",  "name": "string",  "createdAt": "2019-08-24T14:15:22Z"}